Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
[Java] Class ExceptionMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.ExceptionMessage

    public class ExceptionMessage
    extends Message

A class for error messages produced by the parser system.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected boolean` | `verbose`

Constructor Summary
`ExceptionMessage(java.lang.Exception cause, boolean v, ProcessingUnit owner)`

Method Summary
`java.lang.Exception` | `getCause()` Returns the underlying Exception.
`void` | `write(java.io.PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### verbose

    protected boolean verbose

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(java.lang.Exception cause, boolean v, ProcessingUnit owner)

Method Detail

### getCause

    public java.lang.Exception getCause()

  Returns the underlying Exception.

### write

    public void write(java.io.PrintWriter output, Janitor janitor)

  Writes out a nicely formatted summary of the exception.

Groovy Documentation